﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using System.IO;

namespace pr293_1
{
    // Главный класс: 
    class Program
    {
        // Главный метод: 
        static void Main()
        {
            // Каталог с исходным файлом: 
            string pathFrom = "";
            // Каталог с новым файлом: 
            string pathTo = "";
            // Название исходного (копируемого) файла: 
            string file="bear.jpg";
            // Название для нового файла: 
            string name="animal.jpg";
            // Название и полный путь для файлов: 
            string f = pathFrom + file; 
            string F = pathTo + name;
            // Контролируемый код: 
            try {
                // Создание потока для считывания файла:
                FileStream fin = new FileStream(f, FileMode.Open);
                Console.WriteLine("Исходный файл: \"{0}\"", f);
                // Создание потока для записи в файл:
                FileStream fout = new FileStream(F, FileMode.Create);
                Console.WriteLine("Hoвый файл: \"{0}\"", F);
                // Целочисленная переменная: 
                int val;
                // Считывается первый байт из потока: 
                val = fin.ReadByte();
                // Чтение и запись байтов: 
                while(val != -1) {
                    // Запись байта в поток: 
                    fout.WriteByte((byte)val);
                    // Считывается байт из потока: 
                    val = fin.ReadByte();
                }
                // Закрываются потоки:
                fout.Close();
                fin.Close();
            }
            // Обработка исключений: 
            catch(Exception e) {
                Console.WriteLine("Произошла ошибка!");
                Console.WriteLine(e.Message);
                // Задержка:
                Console.ReadLine();
                return; // Завершение выполнения программы
            }
            Console.WriteLine("Копирование успешно завершено");
            // Задержка:
            Console.ReadLine();
        }
    }
}
